%bcond_with installed_tests

%define major 0
%define api   2
%define api_  2.0

%define girname   %mklibname geocodeglib-gir %{api_}
%define libname   %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} %{api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		geocode-glib
Version:	3.26.4
Release:	%mkrel 3
Summary:	A convenience library for the Yahoo! Place Finder APIs
Group:		Networking/Other
License:	LGPLv2
URL:		https://geoclue.freedesktop.org/
Source0:	https://download.gnome.org/sources/geocode-glib/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.34
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.99.2
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.3
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	gtk-doc
# for tests
BuildRequires:	locales-sv
BuildRequires:	locales-en
BuildRequires:	locales-cs

%description
geocode-glib is a convenience library for the Yahoo! Place Finder
APIs, as described at:
https://developer.yahoo.com/geo/placefinder/

The Place Finder web service allows to do geocoding (finding longitude
and latitude from an address), and reverse geocoding (finding an address
from coordinates).

%package -n %libname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{name}-data >= %{version}-%{release}

Obsoletes:	%{_lib}geocode-glib0 < 3.26.4-2

%description -n %libname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains version 2 of the API, which uses libsoup3 internally.

%package -n %girname
Group:		Networking/Other
Summary:	GObject Introspection interface description for GeocodeGlib v2
Requires:	%{libname} = %{version}

Obsoletes:	%{_lib}geocode-glib-gir1.0 < 3.26.4-2

%description -n %girname
GObject Introspection interface description for GeocodeGlib v2.

%package	data
Summary:	Icon files for %{name}

%description data
This package contains icon files for applications that use %{name}.

%package -n %develname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

Obsoletes:	%{_lib}geocode-glib-devel < 3.26.4-2

%description -n %develname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains the development files for geocode-glib v2.

%prep
%autosetup -p1

%build
%meson \
  -Denable-installed-tests=false \
  -Dsoup2=false
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license COPYING.LIB
%doc AUTHORS NEWS README
%{_libdir}/libgeocode-glib-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GeocodeGlib-%{api_}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}/
%{_includedir}/geocode-glib-%{api_}/
%{_libdir}/libgeocode-glib-%{api}.so
%{_libdir}/pkgconfig/geocode-glib-%{api_}.pc
%{_datadir}/gir-1.0/GeocodeGlib-%{api_}.gir

%files data
%{_iconsdir}/hicolor/scalable/places/*.svg


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 3.26.4-3.mga10
+ Revision: 2232950
- Mageia 10 Mass Rebuild

* Fri Dec 27 2024 daviddavid <daviddavid> 3.26.4-2.mga10
+ Revision: 2130638
- drop libsoup-2.4 support, no more used by anything

* Mon Aug 08 2022 ovitters <ovitters> 3.26.4-1.mga9
+ Revision: 1876225
- new version 3.26.4

* Sat Jul 23 2022 wally <wally> 3.26.3-2.mga9
+ Revision: 1870347
- add provides geocode-glib2 devel pkg
- add %%doc and %%license to geocode-glib lib pkg
- fix geocode-glib2 devel pkg docs
- update geocode-glib gir pkg summary and description
- split our gir typelib for geocode-glib2
- fix geocode-glib2 devel pkg requires
- loosen lib pkg requires

* Mon Jul 11 2022 tv <tv> 3.26.3-1.mga9
+ Revision: 1868521
- Split icons into new data subpkg
- Build & split version 2 of the API, which uses libsoup3 internally
+ ovitters <ovitters>
- new version 3.26.3

* Thu Mar 17 2022 umeabot <umeabot> 3.26.2-2.mga9
+ Revision: 1796985
- Mageia 9 Mass Rebuild

* Mon Mar 09 2020 ovitters <ovitters> 3.26.2-1.mga8
+ Revision: 1555066
- new version 3.26.2

* Sat Feb 15 2020 umeabot <umeabot> 3.26.1-3.mga8
+ Revision: 1525436
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 3.26.1-2.mga7
+ Revision: 1392222
- Rebuild with meson 0.50.1

* Thu Mar 14 2019 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1376551
- new version 3.26.1

* Sun Sep 23 2018 umeabot <umeabot> 3.26.0-3.mga7
+ Revision: 1297860
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 wally <wally> 3.26.0-2.mga7
+ Revision: 1238432
- disable installed tests more proper way

* Tue Jun 19 2018 wally <wally> 3.26.0-1.mga7
+ Revision: 1238164
- tag docs as such
+ ovitters <ovitters>
- new version 3.26.0

* Mon Aug 21 2017 ovitters <ovitters> 3.25.4.1-1.mga7
+ Revision: 1142589
- set locale for build section
- switch to meson
- new version 3.25.4.1

* Tue Aug 08 2017 ovitters <ovitters> 3.24.0-1.mga7
+ Revision: 1139081
- new version 3.24.0

* Wed Mar 22 2017 ovitters <ovitters> 3.23.90-1.mga6
+ Revision: 1094333
- new version 3.23.90

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000455
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993644
- new version 3.20.0

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 960438
- new version 3.19.90

* Sun Jan 31 2016 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 929273
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882704
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879389
- new version 3.17.92

* Sun Aug 16 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865098
- new version 3.17.90

* Tue Jun 30 2015 wally <wally> 3.17.1-3.mga6
+ Revision: 849005
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 3.17.1-2.mga6
+ Revision: 847381
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 837953
- new version 3.17.1

* Mon Feb 09 2015 shlomif <shlomif> 3.14.0-3.mga5
+ Revision: 814241
- Move icons dir from /gnome/ to Adwaita.

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 745056
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 724589
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.3-2.mga5
+ Revision: 679498
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639531
- new version 3.13.3

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622435
- new version 3.12.2

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608088
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92.2-1.mga5
+ Revision: 605623
- new version 3.11.92.2

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604519
- new version 3.11.92

* Tue Mar 04 2014 fwang <fwang> 3.11.91-1.mga5
+ Revision: 599267
- update br
+ ovitters <ovitters>
- new version 3.11.91

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583786
- new version 3.11.5

* Sun Oct 20 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 536781
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 3.10.0-2.mga4
+ Revision: 485609
- bump json-glib req

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484424
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 0.99.4-1.mga4
+ Revision: 480887
- new version 0.99.4

* Tue Sep 03 2013 ovitters <ovitters> 0.99.3-1.mga4
+ Revision: 474596
- new version 0.99.3

* Wed Aug 21 2013 fwang <fwang> 0.99.2-1.mga4
+ Revision: 468682
- fix requires
- update file list
- fix linkage
- new version 0.99.2

* Wed Jul 31 2013 ovitters <ovitters> 0.99.1-1.mga4
+ Revision: 461321
- update file list
- br geoip
- new version 0.99.1
- fix source url

* Fri Jan 11 2013 umeabot <umeabot> 0.99.0-2.mga3
+ Revision: 351370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- imported package geocode-glib

